cascading.tuple.hadoop.io

## Class ValueIndexTupleDeserializer

- java.lang.Object
- - cascading.tuple.hadoop.io.IndexTupleDeserializer<ValueIndexTuple>
  - - cascading.tuple.hadoop.io.ValueIndexTupleDeserializer

All Implemented Interfaces:
  Deserializer<ValueIndexTuple>

    public class ValueIndexTupleDeserializer
    extends IndexTupleDeserializer<ValueIndexTuple>

### Field Summary

### Fields inherited from class cascading.tuple.hadoop.io.IndexTupleDeserializer

`typeMap`

### Constructor Summary

Constructors
Constructor and Description
`ValueIndexTupleDeserializer(TupleSerialization.SerializationElementReader elementReader)`

### Method Summary

Methods
`void` `close()`
`protected ValueIndexTuple` `createTuple()`
`protected Class[]` `getTypesFor(int ordinal)`
`void` `open(InputStream in)`
`protected void` `setReaders(Fields fields)`

### Methods inherited from class cascading.tuple.hadoop.io.IndexTupleDeserializer

`deserialize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ValueIndexTupleDeserializer

    public ValueIndexTupleDeserializer(TupleSerialization.SerializationElementReader elementReader)

### Method Detail

#### createTuple

    protected ValueIndexTuple createTuple()

Overrides:
  `createTuple` in class `IndexTupleDeserializer<ValueIndexTuple>`

#### getTypesFor

    protected Class[] getTypesFor(int ordinal)

Overrides:
  `getTypesFor` in class `IndexTupleDeserializer<ValueIndexTuple>`

#### setReaders

    protected void setReaders(Fields fields)

#### open

    public void open(InputStream in)

Specified by:
  `open` in interface `Deserializer<T extends Tuple>`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Deserializer<T extends Tuple>`
Throws:
  `IOException`